Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Shared_Memory_SV Class Reference

Shared memory wrapper based on System V shared memory. More...

`#include <Shared_Memory_SV.h>`

Inheritance diagram for ACE_Shared_Memory_SV:

[legend]
Collaboration diagram for ACE_Shared_Memory_SV:

[legend]
List of all members.

## Public Types
enum | { ACE_CREATE = IPC_CREAT, ACE_OPEN = 0 }
## Public Methods
| ACE_Shared_Memory_SV (void)
| ACE_Shared_Memory_SV (key_t id, int length, int create=ACE_Shared_Memory_SV::ACE_OPEN, int perms=ACE_DEFAULT_FILE_PERMS, void *addr=0, int flags=0)
int | open (key_t id, int length, int create=ACE_Shared_Memory_SV::ACE_OPEN, int perms=ACE_DEFAULT_FILE_PERMS, void *addr=0, int flags=0)
virtual int | close (void)
| Close down the shared memory segment. More...
virtual int | remove (void)
| Remove the underlying shared memory segment. More...
virtual void * | malloc (size_t=0)
| Create a new chuck of memory containing <size> bytes. More...
virtual int | free (void *p)
| Free a chuck of memory allocated by <ACE_Shared_Memory_SV::malloc>. More...
virtual int | get_segment_size (void) const
| Return the size of the shared memory segment. More...
virtual ACE_HANDLE | get_id (void) const
| Return the ID of the shared memory segment (i.e., a System V shared memory internal id). More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
ACE_SV_Shared_Memory | shared_memory_
| This version is implemented with System V shared memory segments. More...

## Detailed Description

Shared memory wrapper based on System V shared memory.

This class provides a very simple-minded shared memory manager. For more a powerful memory allocator please see <ACE_Malloc>.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  ACE_CREATE |
  ACE_OPEN |

## Constructor & Destructor Documentation

ACE_INLINE ACE_Shared_Memory_SV::ACE_Shared_Memory_SV | ( | void |  | ) |

ACE_Shared_Memory_SV::ACE_Shared_Memory_SV | ( | key_t | id,
|  | int | length,
|  | int | create = ACE_Shared_Memory_SV::ACE_OPEN,
|  | int | perms = ACE_DEFAULT_FILE_PERMS,
|  | void * | addr = 0,
|  | int | flags = 0
| ) |

## Member Function Documentation

ACE_INLINE int ACE_Shared_Memory_SV::close | ( | void |  | ) | `[virtual]`

| Close down the shared memory segment. Reimplemented from ACE_Shared_Memory.

void ACE_Shared_Memory_SV::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_INLINE int ACE_Shared_Memory_SV::free | ( | void * | p | ) | `[virtual]`

| Free a chuck of memory allocated by <ACE_Shared_Memory_SV::malloc>. Reimplemented from ACE_Shared_Memory.

ACE_INLINE ACE_HANDLE ACE_Shared_Memory_SV::get_id | ( | void |  | ) | const`[virtual]`

| Return the ID of the shared memory segment (i.e., a System V shared memory internal id). Reimplemented from ACE_Shared_Memory.

ACE_INLINE int ACE_Shared_Memory_SV::get_segment_size | ( | void |  | ) | const`[virtual]`

| Return the size of the shared memory segment. Reimplemented from ACE_Shared_Memory.

ACE_INLINE void * ACE_Shared_Memory_SV::malloc | ( | size_t | size = 0 | ) | `[virtual]`

| Create a new chuck of memory containing <size> bytes. Reimplemented from ACE_Shared_Memory.

ACE_INLINE int ACE_Shared_Memory_SV::open | ( | key_t | id,
|  | int | length,
|  | int | create = ACE_Shared_Memory_SV::ACE_OPEN,
|  | int | perms = ACE_DEFAULT_FILE_PERMS,
|  | void * | addr = 0,
|  | int | flags = 0
| ) |

ACE_INLINE int ACE_Shared_Memory_SV::remove | ( | void |  | ) | `[virtual]`

| Remove the underlying shared memory segment. Reimplemented from ACE_Shared_Memory.

## Member Data Documentation

ACE_Shared_Memory_SV::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

ACE_SV_Shared_Memory ACE_Shared_Memory_SV::shared_memory_`[private]`

| This version is implemented with System V shared memory segments.

The documentation for this class was generated from the following files:

- Shared_Memory_SV.h
- Shared_Memory_SV.cpp
- Shared_Memory_SV.i